<?php

/**
 * Plugin Name: BP Ajax Registration Shortcode
 * Version: 1.0
 * Plugin URI: http://buddydev.com/plugins/bp-ajax-registration/
 * Author: Brajesh Singh
 * Author URI: http://buddydev.com
 */

class BP_Ajax_Registration_Shortcodes_Helper{
    
    private static $instance;
    
    private function __construct() {
        
        add_shortcode( 'bp-ajax-registeration-form', array( $this, 'shortcode_form' ) );
        
        //remove any js loaded by the ajax registration plugin
        add_action( 'bp_loaded', array( $this, 'deregister_js') );
        
        add_action( 'wp_enqueue_scripts', array( $this, 'load_js' ) );
        
        
        
    }
    
    public static function get_instance(){
        
        if( !isset( self::$instance ) )
            self::$instance = new self();
        
        return self::$instance;
    }
    
    public function shortcode_form( $atts = '', $content = null ){
        
        if( !$this->is_active()  || is_user_logged_in() )
            return '';
       
        $content = '<div id ="bpajax-register-form-container">';
         
        
        $content .= BPAjaxRegister::get_form();
        
        $content .='</div>';
        
        return $content;
        
        
    }
    public function deregister_js(){
      
        if( !$this->is_active() )
            return;
        
        $helper = BPAjaxRegister::get_instance();
        if( has_action( 'wp_print_scripts', array( $helper, 'load_js' ) ) )
            remove_action( 'wp_print_scripts', array( $helper,'load_js' ) );
    }
    /**
     * Load js
     */
    public function load_js(){
        if( !$this->is_active() || is_user_logged_in() )
            return;
        
        wp_register_script('bp-ajaxr-shortcodes-js', plugin_dir_url( __FILE__ ) .'bp-ajaxr-shortcodes.js', array('jquery') );
        wp_enqueue_script( 'bp-ajaxr-shortcodes-js' );
        
    }
    /**
     * Check if ajax registration plugin is active
     * @return boolean
     */
    public function is_active(){
        
         if( class_exists( 'BPAjaxRegister' ) )
            return true ;
         return false;
    }
}

BP_Ajax_Registration_Shortcodes_Helper::get_instance();